TIME=$(date +%s)

source /Users/noahheague/.config/scripts/util/secret.sh
API_KEY=$(getSecret "/server/mac-mini-1/seed-api-key")
API_URL=$(getSecret "/server/mac-mini-1/seed-api-url")

SEED_COUNT=$(curl --request GET \
  --silent \
  --url "$API_URL" \
  --header "X-API-Key: $API_KEY" \
  | jq ".response.community.seeding")

if [ "$SEED_COUNT" -le "0" ]; then
  if [ ! -f /tmp/seed-timestamp.txt ]; then
    echo $TIME > /tmp/seed-timestamp.txt;

    /Users/noahheague/.config/scripts/util/webhook.sh \
      -c "torrent" \
      -m "Seeding has paused!"

  fi;

  SAVED_TIME=$(cat /tmp/seed-timestamp.txt)
  SAVED_TIME_PLUS=$(( $SAVED_TIME + 86400 ));
 
  if [ $TIME -ge $SAVED_TIME_PLUS ]; then
    echo $TIME > /tmp/seed-timestamp.txt;

    /Users/noahheague/.config/scripts/util/webhook.sh \
      -c "torrent" \
      -m "Seeding is still paused!"
  fi
else
  rm /tmp/seed-timestamp.txt 2> /dev/null || true
fi
